Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1352696 - Review Request: nodejs-jshint - Static analysis tool for JavaScript
Summary: Review Request: nodejs-jshint - Static analysis tool for JavaScript
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeroen van Meeuwen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews 1363763 1364643 Node-RED
TreeView+ depends on / blocked
 
Reported: 2016-07-04 18:49 UTC by Jared Smith
Modified: 2018-07-30 09:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-30 09:19:06 UTC
vanmeeuwen+fedora: fedora-review?


Attachments (Terms of Use)

Description Jared Smith 2016-07-04 18:49:12 UTC
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-jshint/nodejs-jshint.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-jshint/nodejs-jshint-2.9.2-1.fc24.src.rpm
Description: Static analysis tool for JavaScript
Fedora Account System Username: jsmith

Comment 4 Jeroen van Meeuwen 2016-08-03 15:44:55 UTC
The hidden files remain, but are actually necessary to run the examples correctly.

Comment 5 Gwyn Ciesla 2016-08-03 16:05:13 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/nodejs-jshint

Comment 6 Jared Smith 2016-08-04 11:59:18 UTC
In rawhide, closing bug

Comment 7 Parag AN(पराग) 2016-08-04 12:55:49 UTC
The correct license here is "MIT and JSON" where JSON license looks to be not free.

Comment 8 Jared Smith 2016-08-04 21:20:20 UTC
Yes, we figured that out after the package was approved, but before it was tagged into Koji.  

I'll see what I can do to find a replacement or avoid the need for this dependency.

Comment 9 Jeroen van Meeuwen 2016-08-05 12:28:44 UTC
Unsetting the review flag to represent the current status.

Comment 10 Piotr Popieluch 2017-02-20 21:50:30 UTC
See: https://github.com/jshint/jshint/issues/1234

Comment 11 Piotr Popieluch 2017-02-22 21:26:53 UTC
The mass rebuild triggered the build. Package is now in Rawhide. I've created a releng ticket.

>https://pagure.io/releng/issue/6659


Note You need to log in before you can comment on or make changes to this bug.